Subject: Re: OpenSSH 3.1p1 scp problem with large files
From: Nicholas Wourms <[email-masked]>
To: David Starks-Browning <[email-masked]>, Eugene Cheng <[email-masked]>
Cc: [email-masked]
Date: Thu, 20 Jun 2002 08:16:33 -0700 (PDT)

--- David Starks-Browning <[email-masked]> wrote:
> On Wednesday 19 Jun 02, Eugene Cheng writes:
> > Hello,
> > 
> > I have problems scp'ing files >1GB from a Windows2000 box running
> OpenSSH
> > 3.1p1 under Cygwin.  It copies some small percentage of the file and
> then
> > dies with a "Lost connection".  The remote box is a SUN box running
> > Solaris 8 with OpenSSH.  My test file is 9GB in size and I have gotten
> 670MB
> > of the file copied at the most.  Could this be related to the df
> mis-reporting
> > bug? 
> > 
> > The file copies ok to other systems, just not to this Cygwin box. I've
> tried
> > multiple versions of OpenSSH without success.  
> 
> Cygwin does not support "large files" (> 2GB?).  Sorry.
> 
Although,

I've been watching with great anticipation as Corinna has added some
framework for LFS (large file support) under Cygwin.  This can be seen by
the 64bit typedefs for off_t and dev_t in /usr/include/cygwin/types.h.  Of
course it is ifdef'ed so that these can't be used (yet).  A ray of hope? 
Possibly...

Cheers,
Nicholas

__________________________________________________
Do You Yahoo!?
Yahoo! - Official partner of 2002 FIFA World Cup
http://fifaworldcup.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/